##########################################################
#  dice.tcl

####### proc throw: 
#######   ldice: list, stat: array
proc throw {} {
    global ldice dice stat j msg msgs ok changed turned

    if {$ok(throw) != 1} return

    # dice relief 
    for {set i 1} {$i <= 5} {incr i} {
	.dice.dice$i configure -relief raised
    }

    if {$stat(try) == 1} {
	set ldice {}
	throw1
	set ok(change) 1;         # permission to second throw 
	set ok(turn) 0;          
	set msg $msgs(again)
    } else {
	.belt.try.try configure -text "2nd:"
	throw2
	set ok(change) 0
        set ok(turn) 1;           # permission to turn dice
	set msg $msgs(turn)
    } 
    set_dice;                     
    nonactive_throw
    set a [judge]
    if {$a == 1} {
	return 1
    }
    set ok(select) 1
    return 0
}

proc throw1 {} {
    global ldice dice opt j

    set ldice [list 0 [random6] [random6] [random6] [random6] [random6]]

    for {set i 1} {$i <= 5} {incr i} {
	for {set k 0} {$k < $opt(times)} {incr k} {
	    set ldice [lreplace $ldice $i $i [random6]]
	    set dice($i) [lindex $ldice $i]
	    .dice.dice$i configure -borderwidth 3 \
		    -bitmap @$dice($i).xbm
	    delay $opt(speed)
	}
    }
}

proc throw2 {} {
    global ldice changed opt
    
    for {set i 1} {$i <= 5} {incr i} {
	if {$changed($i) == 1} {
	    for {set k 0} {$k < $opt(times)} {incr k} {
		set ldice [lreplace $ldice $i $i [random6]]
		set dice($i) [lindex $ldice $i]
		.dice.dice$i configure -borderwidth 3 \
			-bitmap @$dice($i).xbm
		delay $opt(speed)
	    }
	}
    }
}

proc set_dice {} {
    global dice ldice changed turned

    for {set i 1} {$i <= 5} {incr i} {
	set dice($i) [lindex $ldice $i]
	.dice.dice$i configure -borderwidth 3 \
		-bitmap @$dice($i).xbm
	set changed($i) 0
	set turned($i) 0
    }
}

proc active_throw {} {
    global stat j color ok

    set ok(throw) 1
    .belt.throw.throw configure -relief raised -bg $color(throw)
}

proc nonactive_throw {} {
    global stat j color ok

    set ok(throw) 0
    .belt.throw.throw configure -relief groove -bg $color(0)
}

proc push_dice {i} {
    global stat j ok

    if {$ok(change) == 0 && $ok(turn) == 0} return

    if {$ok(change) == 1 && $ok(turn) == 0} {
	change $i
    } elseif {$ok(turn) == 1 && $ok(change) == 0} {
	turn $i
    } else {
	return
    }
}

proc change {i} {
    global stat j ok changed

    if {$ok(change) != 1} return

    incr stat(otetsuki)

    init_sheet

    if {$changed($i) == 0} {
	.dice.dice$i configure -relief sunken
	set stat(try) 2
	set changed($i) 1
	incr stat(changed)
	active_throw
	set ok(select) 0
    } else {
	.dice.dice$i configure -relief raised
	set changed($i) 0
	incr stat(changed) -1
	if {$stat(changed) == 0} {
	    nonactive_throw
	    set stat(try) 1
	    set ok(select) 1
	    judge
	}
    }
}

proc turn {i} {
    global dice ldice stat j msg msgs ok turned

    if {$ok(turn) != 1} return

    set stat(turned) 0
    for {set ii 1} {$ii <= 5} {incr ii} {
	if {$turned($ii) == 1} {
	    incr stat(turned)
	}
    }
    if {$stat(turned) >= 2 && $turned($i) == 0} return

    if {$turned($i) == 0} {
	set temp [expr 7 - [lindex $ldice $i]]
	set ldice [lreplace $ldice $i $i $temp]
	set dice($i) [lindex $ldice $i]
	.dice.dice$i configure -bitmap @$dice($i).xbm \
		-relief sunken -borderwidth 3
	set turned($i) 1
	incr stat(turned)
    } else {
	set temp [expr 7 - [lindex $ldice $i]]
	set ldice [lreplace $ldice $i $i $temp]
	set dice($i) [lindex $ldice $i]
	.dice.dice$i configure -bitmap @$dice($i).xbm \
		-relief raised -borderwidth 3
	set turned($i) 0
	set stat(turned) -1
    }

    if {$stat(turned) == 0} {
	set msg $msgs(turn)
    } elseif {$stat(turned) == 1} {
	set msg $msgs(1more)
    } elseif {$stat(turned) == 2} {
	set msg $msgs(which)
    } 

    judge
	
    set ok(select) 1
}

proc clear_dice {} {
    global dice stat j ok coount max
  
    for {set i 1} {$i <= 5} {incr i} {
	set changed($i) 0
	set dice($i) ""
	.dice.dice$i configure -relief groove
    }
    cancel_count
}
