#  help.tcl

proc about {} {
    global ver 

    set answer [tk_messageBox -parent . -title "About TkCacho" \
	    -type ok \
	    -icon info \
	    -message "TkCacho Version $ver 
by Y.Tsunesada, S.Ogio 
Cacho Society of Japan"]
}

proc help {} {
    global ver

    catch {destroy .help}
    toplevel .help
    wm title .help "TkCacho Version $ver Help"
    frame .help.mbar -relief raised -borderwidth 2
    button .help.mbar.close -text "Close" -relief raised -bd 1 \
	    -underline 0 -command {destroy .help}
    pack .help.mbar.close -side left
    pack .help.mbar -side top -fill x

    set m [frame .help.menu]
    button $m.cacho -text "1. Ȥ" -fg blue -relief flat \
	    -command whatiscacho
    button $m.rule -text "2. Υ롼" -fg blue -relief flat \
	    -command cachorule
    button $m.tkcacho -text "3. TkCacho ˤĤ" -fg blue -relief flat \
	    -command abouttkcacho
    pack $m.cacho $m.rule $m.tkcacho -side top -anchor w 
    pack $m -side top

    set t [frame .help.txt]
    scrollbar $t.s -orient vertical -command [list $t.t yview]
    pack $t.s -side right -fill y

    text $t.t -yscrollcommand "$t.s set" -wrap word \
            -width 75 -height 25 -setgrid 1 -bg white
    pack $t.t -side top -fill both -expand true
  
    pack $t -side top
}

proc whatiscacho {} {
    .help.txt.t configure -state normal
    .help.txt.t delete 1.0 end
    set cacho "\ 
----------------------- CachoʥˤȤ --------------------------

  ϡơܥӥޤ줿ĤѤˡ
ǤɤǤǡץǤٳФ
ʤʤ뤯餤򤤤ΤǤѰդΤϡġ
ƿ뤿Υåס񤭹िλȱɮ
ƼǤܥӥμԥѥǤϡ褯ƻüǤȥåפΥåȤ 
10 ܥӥΡ󣲣ߡˤƤޤ"

.help.txt.t insert end $cacho
.help.txt.t configure -state disabled
}

proc abouttkcacho {} {
    .help.txt.t configure -state normal
    .help.txt.t delete 1.0 end

    set about_tkcacho  "\

------------------------  TkCacho ˤĤ  ---------------------------

  Tcl/Tk ˤ Cacho ǤTcl/Tk 󥹥ȡ뤵ƤСUnix
Windows ȤưޤMacintosh ǤϳǧƤޤ

--- 3.0  Tcl/Tk ΥС ---
  Tcl7.6, Tk4.2 ʹߤǤʤưƤޤTk4.0 Ǥ Help-About 
顼ˤʤޤˤϻپ㤢ޤ
  
  UNIX        
  ɸŪ PC-UNIX ѥåDebianRedHatSlackwareʤɡˤǤС
Ǥ Tcl/Tk ϥ󥹥ȡ뤵ƤϤǤ󥹥ȡ뤵Ƥ
ϡ
             http://www.scriptics.com/software/downloadnow81.html	
ʤɤ餽줾 TclTk ꤷƥ󥹥ȡ뤷Ʋܸѥå

             ftp://ftp.fujixerox.co.jp/pub/tcl/jp
Ǥޤ

  Windows
  WindowsǤ Tcl/Tk ⡢
             http://www.scriptics.com/software/downloadnow81.html	
ǤޤTclTk Ȥ⤳˴ޤޤƤޤ

  *************************** ưǧĶ ****************************
  *  Toshiba Dynabook Portege SS 3010                               *
  *              * Vine Linux 1.0                                     *
  *                   Tcl/Tk 8.0.3                                    *
  *              * Windows 95                                         *
  *                   Tcl/Tk 8.1b1                                    *
  *********************************************************************

-- 1 󥹥ȡ
  Ǥեǥ쥯ȥ˲षޤ

-- 2 ư
  tkcacho  main_cacho.tcl ƤӽФԥץȤǤ
tkcachoʥ꥿ˤǵưޤ⤷ wish main_cacho.tcl Ǥ
  Windows Ǥϡmain_cacho.tcl 򥯥å O.K. Ǥ

-- 3 
  򿶤
       Throw 򥯥å⤷ϥ꥿
     *** 򿶤֤λϡФĥޤʳ
       λϲƤⲿⵯޤ

  ܤ˿뤵
       򥯥å⤷Ϻ z, x, c, v, b

  ܤθ塢Ҥä֤
       򥯥å⤷Ϻ z, x, c, v, b
      *** Hint**********************************************
      *   Ҥä֤ʤƤ⡢Ȥ򥯥å *   
      *  СǤκ񤭹ޤ롣        *
      ******************************************************

  񤭹
       Ȥ򥯥å
         ⤷ 1, 2, 3, 4, 5, 6
                  Control-e (escalera)
                  Control-f (full)
                  Control-p (poca)
                  Control-g (grande)
                
  λ
       File-Quit 򡢤⤷ Ctrl-q

  ǽ餫ľ
       File-New Game 򡢤⤷ Ctrl-n ⤷ Ctrl-r

  ץ
           option-advice  on ˤȡ򶵤Ƥ
                  ʥǥեȤ off
           option-Game Speed ǡԥ塼ư®ʳĴ
          Ǥ롣Fast, Medium, Slow: ǥեȤ Medium
  
  Help-Help ǥ饤ޥ˥奢뤬
     
  Help-About ǡСɽ

  ˥塼С Alt ǸƤӽФ

-- 3 ¾
  ΥեȤϥե꡼եȤǤܥ綨ݻޤޤ
ܥեȤ̵ݾڤǤΤǡľܡܤ鷺ΥեȤλѤˤä
ʤ»ˤ⡢ܥ綨ϴΤʤΤȤޤ
  Х䤴˾ʤɤϡ᡼륢ɥ쥹ޤǤꤤפޤ
        ˧ʤĤͤ 褷        ytsune@mua.biglobe.ne.jp

-- 4 С
11.Dec.98  0.1  ϴܤ de mano ̤б
14.Dec.98  0.2  ͥ⡼
                ԥ塼ȤԲ
                إ̤
15.Dec.98  0.35 롼б
                ԥ塼Ȥ̤Բ
20.Dec.98  0.50 ԥ塼С裱
                إ̤
28.Dec.98  0.91 إפѲǽ
 5.Feb.99  0.92 bug fix
-----------------------------------------------------------------------"

   .help.txt.t insert end $about_tkcacho
    .help.txt.t configure -state disabled
}

source rule.tcl
