############################################
#  procs.tcl

proc winner {} {
    global stat msg msgs color total

    if {$total(1) == $total(2)} {
	set msg $msgs(draw)
	.field.player1.label configure -bg $color(winner)
	.field.player2.label configure -bg $color(winner)
	return
    } elseif {$total(1) > $total(2)} {
	set win 1
    } else {
	set win 2
    }
    
    set msg $msgs(win$win)
    applause .field.player$win.label -bg $color(0) $color(winner) 100 15
    .field.player$win.label configure -bg $color(winner)
    game_end
}

proc game_end {} {
    global stat ok j

    set ok(change) 0
    set ok(turn) 0
    set ok(select) 0
    nonactive_throw
    cancel_count
    init_sheet
    init_dice
}

proc applause {w option value1 value2 interval count} {
    for {set i 0} {$i <= $count} {incr i} {
	$w configure $option $value1
	update idletasks
	after $interval
	$w configure $option $value2
	update idletasks
	after $interval
    }
}

## Dormida
proc fever {interval time} {
    global j color

    if {$j == 1} {
	set k 2
	set player .field.player1.sheet
    } else {
	set k 1
	set player .field.player2.sheet
    }
    
    paint_sheet $k $color(0) 

    applause .field.player$j.label -bg $color(0) $color(dormida) 50 10

    applause $player.sheet3.f -bg $color(sheet) $color(dormida) $interval 5
    $player.sheet3.f configure -bg $color(sheet)
    for {set i 1} {$i <= $time} {incr i} {
	applause $player.sheet1.score2 \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet1.score2 configure \
		-bg $color(sheet)
	applause $player.sheet1.score1 \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet1.score1 configure \
		-bg $color(sheet)
	applause $player.sheet3.e \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet3.e configure \
		-bg $color(sheet)
	applause $player.sheet2.score4 \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet2.score4 configure \
		-bg $color(sheet)
	applause $player.sheet2.score5 \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet2.score5 configure \
		-bg $color(sheet)
	applause $player.sheet2.score6 \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet2.score6 configure \
		-bg $color(sheet)
	applause $player.sheet3.p \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet3.p configure \
		-bg $color(sheet)
	applause $player.sheet1.score3 \
		-bg $color(sheet) $color(dormida) $interval 2
	$player.sheet1.score3 configure \
		-bg $color(sheet)
    }

    paint_sheet $j $color(dormida)
}

proc paint_sheet {j color} {
    if {$j == 1} {
	set player .field.player1.sheet
    } else {
	set player .field.player2.sheet
    }

    for {set i 1} {$i <= 3} {incr i} {
	$player.sheet1.score$i configure -bg $color
    }
    for {set i 4} {$i <= 6} {incr i} {
	$player.sheet2.score$i configure -bg $color
    }
    foreach i {e f p} {
	$player.sheet3.$i configure -bg $color
    }
    .field.player$j.grande.g1 configure -bg $color
    .field.player$j.grande.g2 configure -bg $color
}
    
proc relief_sheet {c relief} {
    global j color

    switch $c {
	1 -
	2 -
	3 {
	    .field.player${j}.sheet.sheet1.score$c \
		configure -relief $relief -bd 3 -bg $color(sheet)
	}
	4 -
	5 -
	6 {
	    .field.player${j}.sheet.sheet2.score$c \
		configure -relief $relief -bd 3 -bg $color(sheet)
	}
	e -
	f -
	p {
	    .field.player${j}.sheet.sheet3.$c \
		    configure -relief $relief -bd 3 -bg $color(sheet)
	}
	g1 {
	    .field.player${j}.grande.g1 \
		    configure -relief $relief -bd 3 -bg $color(sheet)
	}
	g2 {
	    .field.player${j}.grande.g2 \
		    configure -relief $relief -bd 3 -bg $color(sheet)
	}
    }
}

proc delay {d} {
    update idletasks
    after $d
}

#######################################
# Random Number Generator
proc randomInit {s} {
    global seed
    set seed $s
}

proc random {} {
    global seed
    set seed [expr ($seed*9301 + 49297)%233280]
    return [expr $seed/233280.0]
}

proc randomRange {range} {
    expr int([random]*$range)
}

proc random6 {} {
    expr [randomRange 6] + 1
}

proc random100 {} {
    expr [randomRange 100] + 1
}

randomInit [pid]
