######################################################
#  window.tcl

# Title of Main Window
wm title . "TkCacho Version $ver"
wm iconname . "TkCacho"
  
frame .mbar -relief raised -borderwidth 1
frame .msg
frame .field
frame .belt
frame .dice
menubutton .mbar.file -text File -underline 0 \
	-menu .mbar.file.menu -relief raised -bd 1
menubutton .mbar.option -text Option -underline 0 \
	-menu .mbar.option.menu -relief raised -bd 1
menubutton .mbar.help -text Help -relief raised -underline 0 \
	-menu  .mbar.help.menu -bd 1
  
pack .mbar.file .mbar.option -side left
pack .mbar.help -side right

set mfile [menu .mbar.file.menu -tearoff no -bd 1]
$mfile add command -label "New Game" -underline 0 \
	-accelerator "Ctrl-n" -command newgame
$mfile add separator
$mfile add command -label "Quit" -underline 0 \
	-accelerator "Ctrl-q" -command exit

set moption [menu .mbar.option.menu -tearoff no -bd 1]
$moption add checkbutton -label Advice -variable opt(advice)
$moption add separator
$moption add cascade -label "Game Speed" -menu $moption.speed
menu $moption.speed -tearoff no
$moption.speed add radiobutton -label Fast -variable opt(delay) -value 100
$moption.speed add radiobutton -label Medium -variable opt(delay) -value 500
$moption.speed add radiobutton -label Slow -variable opt(delay) -value 1000

set mhelp [menu .mbar.help.menu -tearoff no -bd 1]
$mhelp add command -label "Help" -underline 0 \
	-accelerator "Ctrl-h" -command help
$mhelp add separator
$mhelp add command -label "About..." -underline 0 \
	-accelerator "Ctrl-a" -command about

###################################################
# Online-Help
source help.tcl
##################################################
  
pack   .mbar -fill x -expand true

label .msg.msg -textvariable msg
pack .msg.msg -fill x -expand true

frame .field.player1
frame .field.player2
set player1 .field.player1
set player2 .field.player2
for {set j 1} {$j <= 2} {incr j} {
    frame .field.player$j.sheet
    frame .field.player$j.sheet.sheet1 ; # baras, tontos, trenas (1 - 3)
    frame .field.player$j.sheet.sheet2 ; # quadras, quinas, senas (4 - 6)
    frame .field.player$j.sheet.sheet3 ; # escalera, ful, poca
    frame .field.player$j.grande       ; # grande

    for {set i 1} {$i <= 3} {incr i} {
	button .field.player$j.sheet.sheet1.score$i -relief groove \
		-textvariable score($i$j) \
		-width 2 -command "select $i"
	pack .field.player$j.sheet.sheet1.score$i -side top
    }
    for {set i 4} {$i <= 6} {incr i} {
	button .field.player$j.sheet.sheet2.score$i -relief groove \
		-textvariable score($i$j) \
		-width 2 -command "select $i"
	pack .field.player$j.sheet.sheet2.score$i -side top
    }

    foreach i {e f p} {
	button .field.player$j.sheet.sheet3.$i -relief groove \
		-textvariable score($i$j) -width 2 -command "select $i"
	pack .field.player$j.sheet.sheet3.$i -side top
    }

    pack .field.player$j.sheet.sheet1 .field.player$j.sheet.sheet3 \
	    .field.player$j.sheet.sheet2 -side left 

    button .field.player$j.grande.g1 -relief groove \
	    -textvariable score(g1$j) -width 2 -command "select g"
    button .field.player$j.grande.g2 -relief groove \
	    -textvariable score(g2$j) -width 2 -command "select g"
    pack .field.player$j.grande.g1 .field.player$j.grande.g2 -side left

    label .field.player$j.label -text "Player$j"
    label .field.player$j.total -textvariable total($j)
    pack .field.player$j.label .field.player$j.sheet \
	    .field.player$j.grande .field.player$j.total \
	    -side top -expand true
}

.field.player1.label configure -text "Player"
.field.player2.label configure -text "Computer"

frame .belt.game
frame .belt.throw
frame .belt.try
button .belt.throw.throw -text Throw -relief groove -command throw
label .belt.try.try -text "  "
label .belt.game.game1 -text "Game "
label .belt.game.game2 -textvariable stat(game)
pack .belt.game.game1 .belt.game.game2 .belt.throw.throw .belt.try.try \
	-side left -expand true -fill x

pack .belt.game .belt.throw .belt.try -side left -expand true -fill x

# dice
for {set i 1} {$i <= 5} {incr i} {
    button .dice.dice$i -relief groove \
	    -command "push_dice $i"
    pack .dice.dice$i -side left
}

pack .field.player1 .field.player2 -side left
pack .mbar .msg .field .belt .dice -side top

